## doxygen 1.8.7

=== doc/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2014 by Dimitri van Heesch.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
#
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.

all: language config.doc FORCE
	DOXYGEN_DOCDIR=$(DOXYDOCS); \
	export DOXYGEN_DOCDIR; \
        VERSION=$(VERSION) ; \
	export VERSION; \
	$(DOXYGEN)/bin/doxygen
	@rm -f ../latex/refman.tex
	@cp doxygen_logo*.gif ../html
	@cp Makefile.latex ../latex/Makefile
	@sed -e "s/\$$VERSION/$(VERSION)/g" doxygen_manual.tex >../latex/doxygen_manual.tex
	@sed -e "s/\$$VERSION/$(VERSION)/g" doxygen.sty >../latex/doxygen.sty 
	@epstopdf doxygen_logo.eps --outfile=../latex/doxygen_logo.pdf

clean: 
	rm -rf ../html ../latex *.bak 

language: language.doc 

language.doc: $(wildcard ../src/translator*.h) maintainers.txt language.tpl translator.py
	$(PYTHON) translator.py

config.doc:  ../src/config.xml ../src/configgen.py
	$(PYTHON) ../src/configgen.py -doc ../src/config.xml > config.doc

FORCE:

=== examples/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
DOXYGEN_BIN="$(DOXYGEN)/bin/doxygen"

all: class/html/index.html \
     define/html/index.html \
     enum/html/index.html \
     file/html/index.html \
     func/html/index.html \
     page/html/index.html \
     relates/html/index.html \
     author/html/index.html \
     par/html/index.html \
     overload/html/index.html \
     example/html/index.html \
     include/html/index.html \
     qtstyle/html/index.html \
     jdstyle/html/index.html \
     structcmd/html/index.html \
     autolink/html/index.html \
     restypedef/html/index.html \
     afterdoc/html/index.html \
     template/html/index.html \
     tag/html/index.html \
     group/html/index.html \
     diagrams/html/index.html \
     memgrp/html/index.html \
     docstring/html/index.html \
     pyexample/html/index.html \
     tclexample/html/index.html \
     mux/html/index.html \
     manual/html/index.html

# Disabled since it is broken :-(
#     dbusxml/html/index.html

clean:
	rm -rf  class define enum file func page relates author \
                par overload example include qtstyle jdstyle structcmd \
		autolink tag restypedef afterdoc template tag group diagrams \
		memgrp docstring pyexample mux manual dbusxml tclexample

class/html/index.html: class.h class.cfg
	$(DOXYGEN_BIN) class.cfg

define/html/index.html: define.h define.cfg
	$(DOXYGEN_BIN) define.cfg

enum/html/index.html: enum.h enum.cfg
	$(DOXYGEN_BIN) enum.cfg

file/html/index.html: file.h file.cfg
	$(DOXYGEN_BIN) file.cfg

func/html/index.html: func.h func.cfg
	$(DOXYGEN_BIN) func.cfg

page/html/index.html: page.doc page.cfg
	$(DOXYGEN_BIN) page.cfg

relates/html/index.html: relates.cpp relates.cfg
	$(DOXYGEN_BIN) relates.cfg

author/html/index.html: author.cpp author.cfg
	$(DOXYGEN_BIN) author.cfg

par/html/index.html: par.cpp par.cfg
	$(DOXYGEN_BIN) par.cfg

overload/html/index.html: overload.cpp overload.cfg
	$(DOXYGEN_BIN) overload.cfg

example/html/index.html: example.cpp example_test.cpp example.cfg
	$(DOXYGEN_BIN) example.cfg

include/html/index.html: include.cpp example_test.cpp include.cfg
	$(DOXYGEN_BIN) include.cfg

qtstyle/html/index.html: qtstyle.cpp qtstyle.cfg
	$(DOXYGEN_BIN) qtstyle.cfg

jdstyle/html/index.html: jdstyle.cpp jdstyle.cfg
	$(DOXYGEN_BIN) jdstyle.cfg

structcmd/html/index.html: structcmd.h structcmd.cfg
	$(DOXYGEN_BIN) structcmd.cfg

autolink/html/index.html: autolink.cpp autolink.cfg
	$(DOXYGEN_BIN) autolink.cfg

tag/html/index.html: tag.cpp tag.cfg example/html/index.html
	$(DOXYGEN_BIN) tag.cfg

restypedef/html/index.html: restypedef.cpp restypedef.cfg
	$(DOXYGEN_BIN) restypedef.cfg

afterdoc/html/index.html: afterdoc.h afterdoc.cfg
	$(DOXYGEN_BIN) afterdoc.cfg

template/html/index.html: templ.cpp templ.cfg
	$(DOXYGEN_BIN) templ.cfg

group/html/index.html: group.cpp group.cfg
	$(DOXYGEN_BIN) group.cfg

memgrp/html/index.html: memgrp.cpp memgrp.cfg
	$(DOXYGEN_BIN) memgrp.cfg

pyexample/html/index.html: pyexample.py pyexample.cfg
	$(DOXYGEN_BIN) pyexample.cfg

tclexample/html/index.html: tclexample.tcl tclexample.cfg
	$(DOXYGEN_BIN) tclexample.cfg

mux/html/index.html: mux.vhdl mux.cfg
	$(DOXYGEN_BIN) mux.cfg

manual/html/index.html: manual.c manual.cfg
	$(DOXYGEN_BIN) manual.cfg

docstring/html/index.html: docstring.py docstring.cfg
	$(DOXYGEN_BIN) docstring.cfg

#dbusxml/html/index.html: dbusxml.xml dbusxml.cfg
#	$(DOXYGEN_BIN) dbusxml.cfg

diagrams/html/index.html: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
ifneq ($(HAVE_DOT),)
	$(DOXYGEN_BIN) diagrams.cfg
endif

=== libmd5/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all: Makefile.libmd5 
	$(MAKE) -f Makefile.libmd5

clean: Makefile.libmd5 
	$(MAKE) -f Makefile.libmd5 clean

distclean: clean
	$(RM) -f Makefile.libmd5 libmd5.pro Makefile 

realclean: distclean

tmake:
	$(ENV) $(PERL) "$(TMAKE)" libmd5.pro >Makefile.libmd5

Makefile.libmd5: libmd5.pro
	$(ENV) $(PERL) "$(TMAKE)" libmd5.pro >Makefile.libmd5

install:

=== qtools/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2000 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
# 

all: Makefile.qtools Makefile
	$(MAKE) -f Makefile.qtools    $@

Makefile.qtools: qtools.pro 
	$(ENV) $(PERL) "$(TMAKE)" qtools.pro >Makefile.qtools

tmake: 
	$(ENV) $(PERL) "$(TMAKE)" qtools.pro >Makefile.qtools

clean: Makefile.qtools 
	$(MAKE) -f Makefile.qtools    clean 

distclean: clean

FORCE:

=== src/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

#
#
#
# Copyright (C) 1997-2014 by Dimitri van Heesch.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby
# granted. No representations are made about the suitability of this software
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
#
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
#

GENERATED_SRC = ../generated_src/doxygen

all: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen Makefile
	$(MAKE) -f Makefile.libdoxycfg $@
	$(MAKE) -f Makefile.libdoxygen $@
	$(MAKE) -f Makefile.doxygen    $@

Makefile.libdoxygen: libdoxygen.pro libdoxygen.t
	$(ENV) $(PERL) "$(TMAKE)" libdoxygen.pro >Makefile.libdoxygen
	echo 'HEADERS += ' `ls -1 translator_??.h`  >>Makefile.libdoxygen

Makefile.libdoxycfg: libdoxycfg.pro libdoxycfg.t
	$(ENV) $(PERL) "$(TMAKE)" libdoxycfg.pro >Makefile.libdoxycfg

Makefile.doxygen: doxygen.pro
	$(ENV) $(PERL) "$(TMAKE)" doxygen.pro >Makefile.doxygen

tmake:
	$(ENV) $(PERL) "$(TMAKE)" libdoxygen.pro >Makefile.libdoxygen
	$(ENV) $(PERL) "$(TMAKE)" libdoxycfg.pro >Makefile.libdoxycfg
	$(ENV) $(PERL) "$(TMAKE)" doxygen.pro >Makefile.doxygen

# clean objects
clean: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen
	$(MAKE) -f Makefile.libdoxygen clean
	$(MAKE) -f Makefile.libdoxycfg clean
	$(MAKE) -f Makefile.doxygen    clean

# also clean flex/bison generated files
distclean: clean
	-cd $(GENERATED_SRC) && $(RM) scanner.cpp code.cpp config.cpp pre.cpp constexp.cpp \
	       ce_parse.cpp ce_parse.h tag.cpp commentscan.cpp \
	       declinfo.cpp defargs.cpp commentcnv.cpp doctokenizer.cpp \
	       pycode.cpp pyscanner.cpp fortrancode.cpp fortranscanner.cpp \
	       vhdlscanner.cpp vhdlcode.cpp tclscanner.cpp vhdlparser.h \
	       vhdlparser.cpp

FORCE:

=== addon/doxywizard/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2014 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 

QMAKE=$(QTDIR)/bin/qmake $(MKSPECS)
INCBUFSIZE=$(PYTHON) ../../src/increasebuffer.py

all: Makefile.doxywizard  
	$(MAKE) -f Makefile.doxywizard LEX=$(LEX) PYTHON=$(PYTHON) INCBUFSIZE="$(INCBUFSIZE)"

Makefile.doxywizard: doxywizard.pro
	$(QMAKE) doxywizard.pro -o Makefile.doxywizard

qmake: 
	$(QMAKE) doxywizard.pro -o Makefile.doxywizard

clean: Makefile.doxywizard 
	$(MAKE) -f Makefile.doxywizard clean 

distclean: Makefile.doxywizard
	$(MAKE) -f Makefile.doxywizard distclean 
	$(RM) Makefile.doxywizard

install:
	$(INSTTOOL) -d $(INSTALL)/bin	
	$(INSTTOOL) -m 755 ../../bin/doxywizard $(INSTALL)/bin	
	$(INSTTOOL) -d $(INSTALL)/$(MAN1DIR)
	cat ../../doc/doxywizard.1 | sed -e "s/DATE/$(DATE)/g" -e "s/VERSION/$(VERSION)/g" > doxywizard.1
	$(INSTTOOL) -m 644 doxywizard.1 $(INSTALL)/$(MAN1DIR)/doxywizard.1
	rm doxywizard.1

FORCE:

=== addon/doxmlparser/src/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.doxmlparser 
	$(MAKE) -f Makefile.doxmlparser $@

distclean: clean
	$(RM) -rf Makefile.doxmlparser doxmlparser.pro Makefile obj

realclean: distclean

tmake:
	$(ENV) $(PERL) $(TMAKE) doxmlparser.pro >Makefile.doxmlparser

Makefile.doxmlparser: doxmlparser.pro
	$(ENV) $(PERL) $(TMAKE) doxmlparser.pro >Makefile.doxmlparser

install:

=== addon/doxmlparser/test/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.xmlparse 
	$(MAKE) -f Makefile.xmlparse $@

distclean: clean
	$(RM) -rf Makefile.xmlparse xmlparse.pro Makefile obj

realclean: distclean

tmake:
	$(ENV) $(PERL) $(TMAKE) xmlparse.pro >Makefile.xmlparse

Makefile.xmlparse: xmlparse.pro
	$(ENV) $(PERL) $(TMAKE) xmlparse.pro >Makefile.xmlparse

install:

=== addon/doxmlparser/examples/metrics/Makefile ===
#
# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.metrics 
	$(MAKE) -f Makefile.metrics $@

distclean: clean
	$(RM) -rf Makefile.metrics metrics.pro Makefile obj

realclean: distclean

tmake:
	$(ENV) $(PERL) $(TMAKE) metrics.pro >Makefile.metrics

Makefile.metrics: metrics.pro
	$(ENV) $(PERL) $(TMAKE) metrics.pro >Makefile.metrics

install:

=== debian/changelog ===
doxygen (1.8.7-2~trusty1) trusty; urgency=medium

  * Copied from utopic

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 20 Jun 2014 15:06:19 +0200

doxygen (1.8.7-2) unstable; urgency=medium

  * Reorder latex packages to avoid bogus syntax check. Thanks to Mattias
    Ellert for tracking down the issue and providing a patch. (Closes:
    #750536).
  * Indent debian/doxygen.NEWS for valid formatting.
  * Bump copyright years.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 04 Jun 2014 16:18:45 +0200

doxygen (1.8.7-1) unstable; urgency=medium

  * doxygen 1.8.7 release.
    + Standard build regenerates *_js.h now. Update README.jquery.
    + Add doxygen.NEWS for GENERATE_HTML default change.
    + Refresh patches. dot-config.diff completely rewritten against
      config.xml.
  * Uglify javascript during build. Therefore B-D: yui-compressor.
  * Also remove winbuild to avoid accidentally using it.
  * Add half a stage1 build-profile to drop libqt4-dev. Not annotating the
    dependency because #744246. Thanks to Daniel Schepler and Wookey.
    (Addresses: #738263)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 16 May 2014 20:58:26 +0200

=== debian/control ===
Source: doxygen
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Helmut Grohne <helmut@subdivi.de>
Build-Depends: debhelper (>= 5), libqt4-dev, flex, bison (>= 1.875a), python, libsqlite3-dev, tmake, yui-compressor
Build-Depends-Indep: texlive-fonts-recommended, texlive-generic-recommended, texlive-latex-extra, texlive-latex-recommended, texlive-extra-utils, texlive-font-utils, ghostscript, graphviz, latex-xcolor, rdfind
Standards-Version: 3.9.5
Homepage: http://www.stack.nl/~dimitri/doxygen/
XS-Testsuite: autopkgtest

Package: doxygen
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: doxygen-latex, doxygen-doc, doxygen-gui, graphviz
Conflicts: graphviz (<< 1.12)
Description: Documentation system for C, C++, Java, Python and other languages
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources.
 .
 Install the doxygen-latex package to build LaTeX based documents.

Package: doxygen-latex
Architecture: all
Multi-Arch: foreign
Depends: doxygen (>= ${source:Version}), ${misc:Depends}, texlive-extra-utils, texlive-latex-extra, latex-xcolor, texlive-font-utils, ghostscript, texlive-fonts-recommended
Description: Documentation system for C, C++, Java, Python and other languages
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files.
 .
 This dependency package adds dependencies for all LaTeX packages required
 to build documents using the default stylesheet.

Package: doxygen-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: doxygen
Section: doc
Provides: doxygen-docs
Replaces: doxygen (<< 1.2.14), doxygen-docs
Conflicts: doxygen-docs
Description: Documentation for doxygen
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources. 
 .
 This package contains the documentation for doxygen.

Package: doxygen-gui
Architecture: any
Depends: doxygen, ${shlibs:Depends}, ${misc:Depends}
Suggests: doxygen-doc
Replaces: doxygen (<< 1.2.14)
Build-Profiles: !stage1
Description: GUI configuration tool for doxygen
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources. 
 .
 This package contains doxywizard, a GUI configuration tool for doxygen.

Package: doxygen-dbg
Section: debug
Priority: extra
Architecture: any
Depends: doxygen (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for doxygen
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources.
 .
 This package contains the debug symbols for doxygen.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS=
export QTDIR=/usr/share/qt4

CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS
export CXXFLAGS
export LDFLAGS
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
  with_doxywizard := yes
else
  with_doxywizard := no
endif

ifeq ($(with_doxywizard),yes)
  CONFIGUREFLAGS+=--with-doxywizard
endif
CONFIGUREFLAGS+=--dot /usr/bin/dot
CONFIGUREFLAGS+=--install /usr/bin/install
# used by jquery/Makefile
export MINIFIER=/usr/share/yui-compressor/yui-compressor

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) -C jquery install
	./configure $(CONFIGUREFLAGS)
	# get rid of prebuilt files from orig.tar.gz
	$(MAKE) distclean
	./configure $(CONFIGUREFLAGS)
	sed -i 's/^TMAKE_MOC *=.*/TMAKE_MOC = moc/' addon/doxywizard/doxywizard.pro
	touch $@

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) QMAKE=$(shell pwd)/debian/qmake
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install*stamp
	rm -rf qt tmake winbuild
	$(MAKE) -C jquery clean
	rm -f src/jquery_*.js
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f qtools/Makefile.qtools
	dh_clean

uninstall:
	dh_testdir
	dh_testroot
	rm -f install*stamp
	dh_clean -k

install-indep: install-arch
install-indep: install-indep-stamp
install-indep-stamp: DH_OPTIONS=-i
install-indep-stamp: INSDIR=$(shell pwd)/debian/doxygen/usr
install-indep-stamp: DOCDIR=$(shell pwd)/debian/doxygen-doc/usr/share/doc/doxygen
install-indep-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install_docs \
		INSTALL=$(INSDIR) DOCDIR=$(DOCDIR) MAN1DIR=share/man/man1
	-find debian -name .cvsignore -o -name CVS | xargs rm -rf
	touch $@

install-arch: build
install-arch: install-arch-stamp
install-arch-stamp: DH_OPTIONS=-a
install-arch-stamp: INSDIR=$(shell pwd)/debian/doxygen/usr
install-arch-stamp: DOCDIR=$(shell pwd)/debian/doxygen/usr/share/doc/doxygen
install-arch-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install \
		INSTALL=$(INSDIR) DOCDIR=$(DOCDIR) MAN1DIR=share/man/man1
	cd debian/dh-doxygen && pod2man -c Debhelper -r '' dh_doxygen dh_doxygen.1
ifeq ($(with_doxywizard),yes)
	dh_movefiles -Ndoxygen --sourcedir=debian/doxygen \
		usr/bin/doxywizard \
		usr/share/man/man1/doxywizard.1
endif
	-find debian -name .cvsignore -o -name CVS | xargs rm -rf
	touch $@

install: install-indep install-arch

binary-indep: DH_OPTIONS=-i
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_lintian
	./debian/dh-doxygen/dh_doxygen
	rdfind -outputname /dev/null -makehardlinks true debian/doxygen-doc/usr/share/doc/doxygen
	dh_installchangelogs doc/changelog.doc
	dh_strip --dbg-package=doxygen-dbg
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

ifeq ($(with_doxywizard),yes)
binary-arch: DH_OPTIONS=-a
else
binary-arch: DH_OPTIONS=-a -Ndoxygen-gui
endif
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs LANGUAGE.HOWTO PLATFORMS README.md VERSION
	dh_installman
	dh_installchangelogs doc/changelog.doc
	dh_strip --dbg-package=doxygen-dbg
	dh_link
	dh_installmenu
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: configure build clean uninstall
.PHONY: install-arch install-indep install
.PHONY: binary-arch binary-indep binary

## doxygen 1.8.8

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -38,7 +39,7 @@
 	export DOXYGEN_DOCDIR; \
         VERSION=$(VERSION) ; \
 	export VERSION; \
-	$(DOXYGEN)/bin/doxygen
+	"$(DOXYGEN)/bin/doxygen"
 	@rm -f ../latex/refman.tex
 	@cp doxygen_logo*.gif ../html
 	@cp Makefile.latex ../latex/Makefile

=== examples/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== libmd5/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== qtools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -69,7 +70,6 @@
 	       ce_parse.cpp ce_parse.h tag.cpp commentscan.cpp \
 	       declinfo.cpp defargs.cpp commentcnv.cpp doctokenizer.cpp \
 	       pycode.cpp pyscanner.cpp fortrancode.cpp fortranscanner.cpp \
-	       vhdlscanner.cpp vhdlcode.cpp tclscanner.cpp vhdlparser.h \
-	       vhdlparser.cpp
+	       vhdlscanner.cpp vhdlcode.cpp tclscanner.cpp
 
 FORCE:

=== testing/Makefile ===
tests: 
	@perl runtests.pl --doxygen ../bin/doxygen

=== vhdlparser/Makefile ===
#
# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH="$(TMAKEPATH)"
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PYTHON    = /opt/local/bin/python2
PERL      = /opt/local/bin/perl
LEX       = /usr/bin/flex
RM        = rm -f
CP        = cp
VERSION   = 1.8.8
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2000 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
# 

all: Makefile.vhdlparser Makefile
	$(MAKE) -f Makefile.vhdlparser    $@

Makefile.vhdlparser: vhdlparser.pro 
	$(ENV) $(PERL) "$(TMAKE)" vhdlparser.pro >Makefile.vhdlparser

tmake: 
	$(ENV) $(PERL) "$(TMAKE)" vhdlparser.pro >Makefile.vhdlparser

clean: Makefile.vhdlparser 
	$(MAKE) -f Makefile.vhdlparser    clean 

regenerate:
	$(RM) CharStream.cc CharStream.h ErrorHandler.h ParseException.cc ParseException.h \
	      Token.cc Token.h TokenManager.h TokenMgrError.cc TokenMgrError.h VhdlParser.cc VhdlParser.h \
	      VhdlParserConstants.h VhdlParserTokenManager.cc VhdlParserTokenManager.h \
              JavaCC.h
	javacc vhdlparser.jj
	patch  <vhdlparser.patch
	$(CP)  JavaCC.h.in JavaCC.h

distclean: clean
	$(RM) Makefile vhdlparser.pro

FORCE:

=== addon/doxywizard/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== addon/doxmlparser/src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== addon/doxmlparser/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== addon/doxmlparser/examples/metrics/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sun Apr 20 17:17:24 CEST 2014
+# This file was generated from Makefile.in on Thu Aug 21 10:48:35 CEST 2014
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -8,10 +8,11 @@
 TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
 MAKE      = /opt/local/bin/gmake
 PYTHON    = /opt/local/bin/python2
+PERL      = /opt/local/bin/perl
 LEX       = /usr/bin/flex
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.6
+VERSION   = 1.8.8
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== debian/changelog ===
doxygen (1.8.8-5) unstable; urgency=medium

  * Cherry pick c83db38ea83499be19d9ff242bfa22ae534ee80c. (Closes: #762272)
  * Fix FTBFS: Update syntax of Build-Profiles header. (Closes: #767658)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 02 Nov 2014 15:07:52 +0100

doxygen (1.8.8-4) unstable; urgency=medium

  * Cherry pick 6d4044ad43ae1424a256eb1c26992301e7c64f4a. (Closes: #760700)
  * Declare compliance with policy 3.9.6: No changes needed.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 05 Oct 2014 17:52:01 +0200

doxygen (1.8.8-3) unstable; urgency=medium

  * Fix sqlite3 configuration.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 23:32:13 +0200

doxygen (1.8.8-2) unstable; urgency=medium

  * Build-depend on libxapian-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 22:37:17 +0200

doxygen (1.8.8-1) unstable; urgency=medium

  * doxygen 1.8.8 release.
  * Build-depend on python3.
  * Build using libclang where available.
  * Really enable sqlite support.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 20:22:21 +0200

doxygen (1.8.7-3) unstable; urgency=medium

  * doxygen-latex: Depend on cm-super-minimal.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Jul 2014 10:33:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,26 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Helmut Grohne <helmut@subdivi.de>
-Build-Depends: debhelper (>= 5), libqt4-dev, flex, bison (>= 1.875a), python, libsqlite3-dev, tmake, yui-compressor
-Build-Depends-Indep: texlive-fonts-recommended, texlive-generic-recommended, texlive-latex-extra, texlive-latex-recommended, texlive-extra-utils, texlive-font-utils, ghostscript, graphviz, latex-xcolor, rdfind
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 5),
+  libqt4-dev,
+  flex, bison (>= 1.875a),
+  python3,
+  libsqlite3-dev,
+  libxapian-dev,
+  tmake,
+  yui-compressor,
+  libclang-3.5-dev [alpha amd64 armel armhf arm64 i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x kfreebsd-amd64 kfreebsd-i386]
+Build-Depends-Indep: texlive-fonts-recommended,
+  texlive-generic-recommended,
+  texlive-latex-extra,
+  texlive-latex-recommended,
+  texlive-extra-utils,
+  texlive-font-utils,
+  ghostscript,
+  graphviz,
+  latex-xcolor,
+  rdfind
+Standards-Version: 3.9.6
 Homepage: http://www.stack.nl/~dimitri/doxygen/
 XS-Testsuite: autopkgtest
 
@@ -28,7 +45,15 @@
 Package: doxygen-latex
 Architecture: all
 Multi-Arch: foreign
-Depends: doxygen (>= ${source:Version}), ${misc:Depends}, texlive-extra-utils, texlive-latex-extra, latex-xcolor, texlive-font-utils, ghostscript, texlive-fonts-recommended
+Depends: doxygen (>= ${source:Version}),
+  ${misc:Depends},
+  texlive-extra-utils,
+  texlive-latex-extra,
+  latex-xcolor,
+  texlive-font-utils,
+  ghostscript,
+  texlive-fonts-recommended,
+  cm-super-minimal
 Description: Documentation system for C, C++, Java, Python and other languages
  Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
  and to some extent PHP, C#, and D.  It can generate an on-line class browser
@@ -61,7 +86,7 @@
 Depends: doxygen, ${shlibs:Depends}, ${misc:Depends}
 Suggests: doxygen-doc
 Replaces: doxygen (<< 1.2.14)
-Build-Profiles: !stage1
+Build-Profiles: <!stage1>
 Description: GUI configuration tool for doxygen
  Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
  and to some extent PHP, C#, and D.  It can generate an on-line class browser

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,12 @@
 export CXXFLAGS
 export LDFLAGS
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+clang_archs = alpha amd64 armel armhf arm64 i386 mips mipsel \
+	powerpc powerpcspe ppc64 ppc64el s390x \
+	kfreebsd-amd64 kfreebsd-i386
 
 ifeq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
   with_doxywizard := yes
@@ -23,6 +29,13 @@
 endif
 CONFIGUREFLAGS+=--dot /usr/bin/dot
 CONFIGUREFLAGS+=--install /usr/bin/install
+CONFIGUREFLAGS+=--python python3
+CONFIGUREFLAGS+=--with-doxysearch
+CONFIGUREFLAGS+=--with-sqlite3
+ifneq (,$(filter $(DEB_HOST_ARCH),$(clang_archs)))
+  CONFIGUREFLAGS+=--with-libclang
+endif
+
 # used by jquery/Makefile
 export MINIFIER=/usr/share/yui-compressor/yui-compressor
 
@@ -54,6 +67,7 @@
 	rm -f src/jquery_*.js
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f qtools/Makefile.qtools
+	rm -f doxygen_sqlite3.db
 	dh_clean
 
 uninstall:

## doxygen 1.8.9.1

=== debian/changelog ===
doxygen (1.8.9.1-5) unstable; urgency=medium

  * Don't configure --with-sqlite3, still experimental according to upstream.
    Closes: #758975.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2015 22:01:28 +0200

doxygen (1.8.9.1-4) unstable; urgency=high

  * Rebuild for GCC 5 / xapian-core.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 09:58:38 +0200

doxygen (1.8.9.1-3) unstable; urgency=medium

  * Upload to unstable.
  * Disable HTML timestamps in Doxygen's own documentation.
    (no-timestamps.diff).
  * Default to not generating HTML timestamps: Upstream commit
    3f2e8a3067712b025623e4420e6eb161febfd42b default-no-timestamps.diff.
    (Closes: #780617)

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 29 Apr 2015 17:14:31 +0200

doxygen (1.8.9.1-2) experimental; urgency=medium

  * Removed \backmatter in case of COMPACT_LATEX. Issue #742427.

 -- Matthias Klose <doko@carbon>  Mon, 09 Mar 2015 20:17:33 +0100

doxygen (1.8.9.1-1) experimental; urgency=medium

  * doxygen 1.8.9.1 release.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2015 20:38:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Helmut Grohne <helmut@subdivi.de>
 Build-Depends: debhelper (>= 5),
+  g++ (>= 4:5.2),
   libqt4-dev,
   flex, bison (>= 1.875a),
   python3,
-  libsqlite3-dev,
-  libxapian-dev,
+  libxapian-dev (>= 1.2.21-1.2),
   tmake,
   yui-compressor,
+  llvm-dev [alpha amd64 armel armhf arm64 i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x kfreebsd-amd64 kfreebsd-i386],
+  libclang-dev [alpha amd64 armel armhf arm64 i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x kfreebsd-amd64 kfreebsd-i386],
   libclang-3.5-dev [alpha amd64 armel armhf arm64 i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x kfreebsd-amd64 kfreebsd-i386]
 Build-Depends-Indep: texlive-fonts-recommended,
   texlive-generic-recommended,

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,8 @@
 CONFIGUREFLAGS+=--install /usr/bin/install
 CONFIGUREFLAGS+=--python python3
 CONFIGUREFLAGS+=--with-doxysearch
-CONFIGUREFLAGS+=--with-sqlite3
+# still experimental according to upstream
+#CONFIGUREFLAGS+=--with-sqlite3
 ifneq (,$(filter $(DEB_HOST_ARCH),$(clang_archs)))
   CONFIGUREFLAGS+=--with-libclang
 endif
